Subject: Re: [PATCH 3/7] NetLabel: CIPSOv4 engine

From: Paul Moore <[email-masked]>
Date: Sat, 15 Jul 2006 11:13:27 -0400

On Saturday 15 July 2006 9:11 am, James Morris wrote:
> On Sat, 15 Jul 2006, James Morris wrote:
> > > +	/* XXX - In both cases, this is kinda ugly as we have to go through
> > > +	   the list once to determine how large of a buffer we need,
> > > +	   drop the locks, allocate the buffer, grab the locks, and
> > > +	   finally fill the buffer.  The problem is that there is that
> > > +	   open window where the table could grow and we will end up
> > > +	   short on space. */
> >
> > This needs to be fixed.
>
> Actually, you have many of these.

I believe there are a total of four, the two you just found in 
net/ipv4/cipso_ipv4.c and two more in net/netlabel/netlabel_domainhash.c.  I 
will fix all of them for the next submission of the patchset.

-- 
paul moore
linux security @ hp